Package org.drinkless.tdlib

# Class TdApi.GiftUpgradePreview

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GiftUpgradePreview

Enclosing class:
  `TdApi`

public static class TdApi.GiftUpgradePreview extends TdApi.Object
Contains examples of possible upgraded gifts for the given regular gift.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.UpgradedGiftBackdrop[]`
  `backdrops`
  Examples of possible backdrops that can be chosen for the gift after upgrade.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.UpgradedGiftModel[]`
  `models`
  Examples of possible models that can be chosen for the gift after upgrade.
  `TdApi.GiftUpgradePrice[]`
  `nextPrices`
  Next changes for the price for gift upgrade with more granularity than in prices.
  `TdApi.GiftUpgradePrice[]`
  `prices`
  Examples of price for gift upgrade from the maximum price to the minimum price.
  `TdApi.UpgradedGiftSymbol[]`
  `symbols`
  Examples of possible symbols that can be chosen for the gift after upgrade.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GiftUpgradePreview()`
  Contains examples of possible upgraded gifts for the given regular gift.
  `GiftUpgradePreview(TdApi.UpgradedGiftModel[] models, TdApi.UpgradedGiftSymbol[] symbols, TdApi.UpgradedGiftBackdrop[] backdrops, TdApi.GiftUpgradePrice[] prices, TdApi.GiftUpgradePrice[] nextPrices)`
  Contains examples of possible upgraded gifts for the given regular gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### models

    public TdApi.UpgradedGiftModel[] models
    Examples of possible models that can be chosen for the gift after upgrade.

  - ### symbols

    public TdApi.UpgradedGiftSymbol[] symbols
    Examples of possible symbols that can be chosen for the gift after upgrade.

  - ### backdrops

    public TdApi.UpgradedGiftBackdrop[] backdrops
    Examples of possible backdrops that can be chosen for the gift after upgrade.

  - ### prices

    public TdApi.GiftUpgradePrice[] prices
    Examples of price for gift upgrade from the maximum price to the minimum price.

  - ### nextPrices

    public TdApi.GiftUpgradePrice[] nextPrices
    Next changes for the price for gift upgrade with more granularity than in prices.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GiftUpgradePreview

    public GiftUpgradePreview()
    Contains examples of possible upgraded gifts for the given regular gift.

  - ### GiftUpgradePreview

    public GiftUpgradePreview(TdApi.UpgradedGiftModel[] models, TdApi.UpgradedGiftSymbol[] symbols, TdApi.UpgradedGiftBackdrop[] backdrops, TdApi.GiftUpgradePrice[] prices, TdApi.GiftUpgradePrice[] nextPrices)
    Contains examples of possible upgraded gifts for the given regular gift.
    Parameters:
      `models` - Examples of possible models that can be chosen for the gift after upgrade.
      `symbols` - Examples of possible symbols that can be chosen for the gift after upgrade.
      `backdrops` - Examples of possible backdrops that can be chosen for the gift after upgrade.
      `prices` - Examples of price for gift upgrade from the maximum price to the minimum price.
      `nextPrices` - Next changes for the price for gift upgrade with more granularity than in prices.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR